Subject: Re: mod_perl-1.2.6 for Cygwin 1.x (using apache_1.3.22, perl-5.6.1)
From: Stipe Tolj <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 17 Oct 2001 11:36:14 +0200

Hi Gerrit,

"Gerrit P. Haase" schrieb:
> 
> > Stipe Tolj schrieb am 2001-10-16 13:19:
> 
> >--- src/modules/perl/Makefile  Tue Oct 16 10:57:46 2001
> >+++ src/modules/perl/Makefile.cygwin   Tue Oct 16 10:56:40 2001
> >@@ -13,7 +13,7 @@
> > EXTRA_CFLAGS=-DUSEIMPORTLIB -DPERL_USE_SAFE_PUTENV -DHAS_SBRK_PROTO
> > -fno-strict-aliasing `$(SRCDIR)/apaci` EXTRA_LDFLAGS= EXTRA_LIBS=
> >-EXTRA_INCLUDES=
> >+EXTRA_INCLUDES=-I/usr/lib/perl5/5.6.1/cygwin/CORE
>                                        ^^^^^^^^^^^
> You are using perl-5.6.1-1, 5.6.1-2 was build with multiplicity.

fine, and what is that used for?!

> 
> >-PERL_LD=ld2
> >-PERL_LDFLAGS= -s -L/usr/local/lib
> >-PERL_LDDLFLAGS= -s -L/usr/local/lib
> >-PERL_LIBS= -s  -s -L/usr/local/lib /usr/lib/perl5/5.6.1/cygwin/auto/DynaLoader/DynaLoader.a -L/usr/lib/perl5/5.6.1/cygwin/CORE -lperl -lcrypt
> >+PERL_LD=gcc
> >+PERL_LDFLAGS= --shared -L/usr/local/lib
> >+PERL_LDDLFLAGS= --shared -L/usr/local/lib
> >+PERL_LIBS= --shared -L/usr
> 
> What is the problem with ld2?

I'm using a patched version of ld which supports --auto-import.
Currently this way thje single shared module DLLs are created for
apache-1.3. So that's why I wanted the same syntax.

Any hint on how I can use strace info to track down the error which
causes the exception?

See ya,
Stipe

[email-masked]
-------------------------------------------------------------------
Wapme Systems AG

Münsterstr. 248
40470 Düsseldorf

Tel: +49-211-74845-0
Fax: +49-211-74845-299

E-Mail: [email-masked]
Internet: http://www.wapme-systems.de
-------------------------------------------------------------------
wapme.net - wherever you are

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/